Subject: Re: how are the interrupts mapped on the taiga board?

From: Sergei Shtylyov <[email-masked]>
Date: Fri, 08 Jun 2007 00:17:39 +0400

Leisner, Martin wrote:
> I'm looking at mpc7448hpc2.dts -- and the tsi108 specs...

> I see how TTYS0 is IRQ12 and the ethernet is IRQ16...that agrees with
> the file...
> and the tundra TSi108 spec.

> But in after we boot in /proc/interrupts:
> 
>  16:       1796  Tsi108_PIC Edge      serial
>  18:      24148  Tsi108_PIC Level     eth0

> I don't see in the .dts a mapping from 12->16 and 16->18.
> Nore have I found anything in the source...

> I using 2.6.21.1.

> How is this done?

    It's done by arch/powerpc kernel itself which remaps any IRQs < 16.

WBR, Sergei